package edu.byu.cs.fragmentexample.model;

import androidx.annotation.NonNull;

import java.io.Serializable;

public class Order implements Serializable {

    private Address shippingAddress;
    private Address billingAddress;

    public Order() {
        setShippingAddress(null);
        setBillingAddress(null);
    }

    public Address getShippingAddress() {
        return shippingAddress;
    }

    public void setShippingAddress(Address shippingAddress) {
        this.shippingAddress = shippingAddress;
    }

    public Address getBillingAddress() {
        return billingAddress;
    }

    public void setBillingAddress(Address billingAddress) {
        this.billingAddress = billingAddress;
    }

    @NonNull
    @Override
    public String toString() {
        return String.format("SHIPPING ADDRESS:\n%s\n\nBILLING ADDRESS:\n%s",
                shippingAddress,
                (billingAddress != null) ? billingAddress : shippingAddress);
    }
}
